Introducing 3D Canvas

3D Canvas is a freeware 3D modeling and animation tool. You can use it to create models of simple items, or large scenes.

Modeling

3D Canvas provides tools that you can use to create, deform, sculpt and paint 3D objects.

Animation

You may place 3D Objects in a scene, and animate their position and shape using key-frame based animation.


Getting Started with 3D Canvas

Basic Set-up

Unzip the 3DCanvas.zip file using your favorite Unzip program. In the folder you created, there is a program called Setup. Run the Setup program by double-clicking it. This begins the Setup program for 3D Canvas which will prompt you with further set-up instructions.

Once the Setup program has completed, you may delete the folder that you created when you unzipped 3DCanvas.zip. We recommend that you keep the original 3DCanvas.zip file so you can install the program again in the future if you desire.

Running 3D Canvas

The 3D Canvas Setup program added a 3D Canvas entry to the Start Menu. To run 3D Canvas simply select 3D Canvas from the Start Menu.

Creating a Scene

A new Scene is automatically created when 3D Canvas is started. You will be presented with an empty scene which has been laid out with a grid to assist you in judging proportion and aligning items in your scene.

Scene Navigation

Navigating through your scene is done using the Navigation Control, or via mouse navigation.

Creating an Object

You may drag and drop any component on to the scene. A component may be a primitive, a light, a predefined object from the Object Library, or an object that you created yourself using the Lathe, Extrude, Surface or Text tools.

Moving and Modifying an Object

You may move an object within your scene using the Edit Control, or via mouse editing. You can also resize objects using the Edit Control or the mouse.

An assortment of tools including Deform Tool, Operations and the Object Intersection, Union and Subtraction Operations can be used to modify objects.

Color, Texture and other attributes can be applied to objects using the Material Palette.

Tutorials

Visit the Amabilis website for a selection of 3D Canvas tutorials.


What's New

What's New in 3D Canvas 3.3

The Surface Object Building Tool has been extensively revised to support:
NURBS surfaces
Surface merging
Surface cloning
Surface division
Individual surface scaling, shifting and rotating
Display of control point cages
Improved Mirror function that mirrors an entire object in one step
Support for B-Spline Curves in all Object Building Tools and Operations
Refined and simplified Navigation Control and Edit Control
Quick access to Texture, Material and Object Libraries
Export of DirectX Frame Hierarchies


Creating, Opening and Saving Scenes

Creating, Opening and Savings Scenes

A new scene is automatically created every time you run 3D Canvas.

To create a new scene select New from the File Menu.

To open an existing scene select Open from the File Menu.

To save a scene select Save from the File Menu..


Creating a New Scene

A new scene is automatically created every time you run 3D Canvas.

You also can create a new scene by any of the following:

  1. From the Toolbar click Button-New.gif (1005 bytes) .
  2. On the File menu, click New.
  3. Type ctrl + n.


Opening a Scene

You may open an existing scene by any of the following:

  1. From the Toolbar click Button-Open.gif (239 bytes) .
  2. On the File menu, click Open.
  3. Type ctrl + o.


Saving a Scene

You may save a scene you are working on by any of the following:

  1. From the Toolbar click Button-Save.gif (239 bytes) .
  2. On the File menu, click Save.
  3. Type ctrl + s.

Alternately, If the file you are working on has been saved before, and you would like to save it with a different name:

On the File menu, click Save As.


Navigation Overview

Navigating through your scene is done using the Navigation Control, or via mouse navigation.


Using the Navigation Control

Control-Navigation.jpg (3342 bytes)

The Navigation Control is used to navigate through your scene.

Your view of the world is as though you are looking through a camera. You can move this camera using the Navigation Control or through mouse navigation.

Clicking on an axis and dragging results in the camera rotating around the Grid's center using the axis selected.

Clicking on the sphere and dragging results in the camera rotating around the Grid's center using the X and Y axes.

Clicking on one of the planes that represent the XZ or YZ plane and dragging results in navigation along the selected plane.

The YZ plane has three separate navigation control planes. Each plane is used for navigation along the YZ plane, but produces somewhat different results. Clicking and dragging on the the leftmost plane results in navigation along the YZ plane hovering over the scene. Clicking and dragging on the center plane also results in navigation along the YZ plane hovering over the scene, but moving the mouse left and right results in rotation of the camera about its position. The rightmost plane is identical to the center plane except that instead of hovering over the scene, the camera moves directly towards the object to which it is pointed. This is very useful for zooming in on an object that is located in the center of the camera's view. In orthographic mode, the center plane is not provided and the zoom action does not provide rotation.

Click Button-Walk.gif (977 bytes) to enable navigation walk mode.
Click Button-Fly.gif (376 bytes) to enable navigation fly mode for applicable navigation methods.


Using the Mouse to Navigate

Click Button-Toolbar-Navigate.gif (919 bytes) to enable navigation using the left mouse button.

Left clicking and dragging results in navigation along the XZ plane.

To enable the middle button of your mouse for navigation:

  1. On the Tools menu, click Options....
  2. Select a Mouse Style of 3-Button.

Button-Toolbar-Navigate.gif (919 bytes) will no longer be displayed on the tool bar.

Click Button-Walk.gif (977 bytes) to enable navigation walk mode.
Click Button-Fly.gif (376 bytes) to enable navigation fly mode for applicable navigation methods.


Components Overview

Panel-Components.gif (15918 bytes)

The component panel is used to create and manage scene components. It is made up of a series of sub-panels, including the Primitives, Bones, Lights, Object Building Tools and Object Library sub-panels.

As with all of the Construction Panels (Material, Component, Operation and Hierarchy) there are two ways to view the Components Panel, in a fully expanded state by choosing the Component Tab Button-Construction-Component.gif (1131 bytes) or in a customizable state by selecting Customize Panels Button-Construction-Customize.gif (1126 bytes).

Click Button-Panel-Primitives.gif (675 bytes) to show the Primitives sub-panel. Or select the Component Tab Button-Construction-Component.gif (1131 bytes) to show all component sub-panels.

Click Button-Panel-Lights.gif (138 bytes) to show the Lighting sub-panel. Or select the Component Tab Button-Construction-Component.gif (1131 bytes) to show all component sub-panels.

Click Button-Panel-ObjectBuildingTools.gif (140 bytes) to show the Object Building Tools sub-panel. Or select the Component Tab Button-Construction-Component.gif (1131 bytes) to show all component sub-panels.

Click Button-Panel-ObjectLibrary.gif (145 bytes) to show the Object Library sub-panel. Or select the Component Tab Button-Construction-Component.gif (1131 bytes) to show all component sub-panels.


Using Primitives

Panel-Components-Primitives.gif (4747 bytes)

Click Button-Panel-Primitives.gif (675 bytes) to show the Primitives panel. Or select the Component Tab Button-Construction-Component.gif (1131 bytes) to show all component sub-panels.

To add a primitive to your scene, click on the primitive's icon and drag it on to your Scene. Each primitive has options that may be displayed by right clicking on the primitive's icon.

PrimitiveCube.gif (1408 bytes) | Cube The resolution of a cube is the number of square polygons used to make up the edges of the cube. For instance, a resolution of two results in a cube with sides made up of four polygons, two along each edge.
PrimitiveCylinder.gif (1474 bytes) | Cylinder The number of lines of Latitude and Longitude may be specified for a Cylinder. As well, the ratio of the size of the top to the bottom may also be set.
PrimitiveSphere.gif (1739 bytes) | Sphere A sphere may have its Latitude and Longitude set.
PrimitiveTorus.gif (1585 bytes) | Torus The ratio of the inner hole to the outer edge may be set for the torus as well as the standard Latitude and Longitude.
PrimitiveCone.gif (1440 bytes) | Cone A Cone may have its Latitude and Longitude set.

Note that the number lines of Latitude are inclusive of the origins. For instance, a Sphere with ten lines of Latitude and ten lines of longitude will result in a sphere made up of ninety polygons.


Using Skeletal Bones

Panel-Components-Bones.gif (1663 bytes)

Click Button-Panel-Skeleton.gif (139 bytes) to show the Bones panel. Or select the Component Tab Button-Construction-Component.gif (1131 bytes) to show all component sub-panels.

Skeletal bones are used to create easily positionable models of Humans and Animals. An object can be attached to bones as a "skin". When a bone is moved, the skin is deformed to match the new position and orientation of the bone.

To add a bone to your scene, click on the bone's icon and drag it on to your Scene.

There are three types of bones:

Panel-Components-Bones-Cylinder.gif (1037 bytes) | Standard This type of bone has a range of effect that is shaped like a cylinder. This the primary bone type. It is the most appropriate for building skeletons of Humans or Animals that occur in nature.
Panel-Components-Bones-CylinderRounded.gif (1059 bytes) | Rounded Cylindrical This type of bone has a range of effect this is shaped like a cylinder with rounded ends. It is uncommonly used, but can be useful when multiple bones join at a single point.
Panel-Components-Bones-Spherical.gif (1011 bytes) | Spherical Bone A Spherical Bone is not like any bone in a human or animal. It is a convenient shape that can be used to deform skins. It is typically used to simulate a muscle, such as deforming a skin in order to lift an eyebrow. A Spherical Bones range of effect is equal to the size of the bone itself.

Once you have created the skeleton for the object you are modeling, you can attach a skin to each bone by either double-clicking the bone or selecting a bone and clicking Button-Toolbar-AttachSkin.gif (151 bytes) on the Edit Toolbar. The nearest object will be attached as a skin. For Cylindrical bones, the Bone Effect window is opened to allow you to adjust the range of effect of the bone. The Spherical Bone's range of effect is equal to the size of the bone itself.

Before attaching a skin to a bone, you should position the object that is to become the skin so that its bones are embedded in their desired position. Once you have positioned the object, you should move the object within the Scene Hierarchy to the frame that contains the root bone.

An object that has been attached to a bone becomes a skin and can not be scaled or have any operations applied to it. For this reason it is important to ensure that the object is in its final state before using it as a skin. You can detach a bone from its skin by clicking Button-Toolbar-AttachSkin.gif (151 bytes) on the Edit Toolbar a second time.


Adding Lighting to a Scene

Panel-Components-Lights.gif (1916 bytes)

Click Button-Panel-Lights.gif (138 bytes) to show the lighting panel. Or select the Component Tab Button-Construction-Component.gif (1131 bytes) to show all component sub-panels.

To add a light to your scene, click on the desired light and drag it onto your scene. Scaling a light results in the intensity being increased or decreased. Lights can be re-positioned, re-oriented and animated just like any other object.

Panel-Components-Lights-Directional.gif (1019 bytes) | Directional Light This light is an infinite light source. Its position is infinitely far away, so it is represented simply as an arrow. This light cannot be moved, but you can re-orient it.
Panel-Components-Lights-ParallelPoint.gif (1045 bytes) | Parallel Point Light This light source is very much like a light bulb. It may be repositioned as you would any object. For animations, this light source produces higher frame-rates than a point light, but the quality of the light produced is not as high. For most animations, the Point light is the best choice. Keep in mind that frame-rates are not important when recording to video files because they are not recorded in real time, so they are guaranteed to be smooth.
Panel-Components-Lights-ParallelPoint.gif (1045 bytes) | Point Light The Point Light is very much like a light bulb. It may be repositioned and animated as with any object.
Panel-Components-Lights-Spot.gif (1024 bytes) | Spotlight The Spotlight behaves exactly like its real world equivalent. It may be reposition and animated. It also has other attributes such as its umbra, penumbra and range. These attributes can be set by right-clicking on it and choosing Properties from the pop-up menu. Umbra and Penumbra are specified in radians (3.14 = 180 degrees). The range is in model units.

In addition to these lights, there is always one Ambient light within a scene. This light appears as small sphere. It may not be moved. Its intensity can be scaled in the usual way.

A light's properties can be set by right-clicking on it and choosing Properties from the pop-up menu.

All lights have a color property, which ranges from black (off) to white (maximum intensity).

Lights that can be moved also have an attenuation factor and method. The attenuation factor and method specify how the intensity of the light changes with distance.


Using the Object Building Tools

Panel-Components-ObjectBuildingTools.gif (2001 bytes)

Click Button-Panel-ObjectBuildingTools.gif (140 bytes) to show the Object Building Tools panel. Or select the Component Tab Button-Construction-Component.gif (1131 bytes) to show all component sub-panels.

To add an object to your scene, click on the Object Builder's icon and drag it on to your Scene. The Object Builder will then open so that you create your object.

Panel-Components-ObjectBuildingTools-LatheTool.gif (1027 bytes)

The Lathe Tool

The Lathe Tool is used to create objects by taking a plane and rotationally sweeping it through space. The volume swept through is the new object. For example, a semi-circle rotated through space creates a sphere, and a rectangle rotated through space creates a cylinder.
Panel-Components-ObjectBuildingTools-ExtrudeTool.gif (1043 bytes)

The Extrude Tool

The Extrude Tool is used to create objects by taking a plane and sweeping it through space along a path. The volume swept through is the new object. For example, sweeping a circle along a straight path results in a cylinder being created.
Panel-Components-ObjectBuildingTools-SurfaceTool.gif (1049 bytes)

The Surface Tool

The Surface Tool is primarily used to create organic objects. Objects are built from a patchwork of surfaces.
Panel-Components-ObjectBuildingTools-TextTool.gif (1071 bytes)

The Text Tool

The Text Tool is used to create 3D Text objects.

To modify an object created with an Object Builder, double-click on the object within the scene.


Using the Lathe Tool

ObjectBuildingTools-Lathe.gif (20797 bytes)

The Lathe Tool takes a source plane that you define and rotates it through space. The volume swept through becomes a solid object.

The Lathe Tool is made up of two panes. The first pane is the object preview, which displays the object created. The second pane is the source grid where you define the plane that will be swept through space. A series of control points are connected to create the source. Control points are added by clicking on the grid. The first control point is colored green. Each additional point added is colored white. The points are connected using a B-Spline curve. This form of curve has a start control point and end control point that are guaranteed to be on the curve, but any other control points act as magnets attracting the curve in their direction.

You may also set control points to be fixed, so that they are guaranteed to be on the curve. Clicking a second time on a control point results in it becoming a fixed control point which is colored blue.

Shift-Clicking on a control point creates a new control point along the curve. Ctrl-Clicking on a control point deletes the control point.

Note that in order to ensure that the object is displayed properly, you must define your source in a clockwise manner. A counter-clockwise source results in an object that is inside-out.

A slider is provided to adjust the detail level of the created object.

You can set Rotate to a number less that 1 if you wish to create an object from less than a full rotation of the source plane.

As an alternative, you may choose to use N-Spline curves or Bezier curves. Bezier is a smoother curve, but N-Spline control points are guaranteed to be on the curve produced.

Click Button-SaveSmall.gif (149 bytes) to save.

Click Button-DeleteSmall.gif (918 bytes) to reset the source.

Click Button-UndoSmall.gif (134 bytes) to undo the previous operation. Only modeling operations can be undone.

Click Button-RedoSmall.gif (134 bytes) to redo the last action undone.

Click Button-WireframeSmall.gif (139 bytes) to display the object in wireframe mode.

When you have completed your object simply close the Object Builder and your scene will be updated with the new object.


Using the Extrude Tool

ObjectBuildingTools-Extrude.gif (14153 bytes)

The Extrude Tool takes a source plane that you provide and sweeps it through space along a path you define. The volume swept through becomes a solid object.

The Extrude Tool is made up of four panes. The first pane is the object preview, which displays the object created. The second pane is the source grid where you define the plane that will be swept through space. The third and fourth panes are the path grids which are used to define the path through space of the source plane. The third pane is a side view or the path and the fourth pane is a top view of the path.

The source and path are defined using control points. A series of control points are connected to create the source and path. Control points are added by clicking on the grid. The first control point is colored green. Each additional point added is colored white. The points are connected using a B-Spline curve. This form of curve has a start control point and end control point that are guaranteed to be on the curve, but any other control points act as magnets attracting the curve in their direction.

Shift-Clicking on a control point creates a new control point along the curve. Ctrl-Clicking on a control point deletes the control point.

The source plane may also have fixed control points that are guaranteed to be on the curve. Clicking a second time on a control point results in it becoming a fixed control point which is colored blue. This only applies to the source plane because fixed points within paths result in unacceptable amounts of deformation, with the resulting object folding over on itself.

In order to produce a closed object, the source must form a closed curve.

A slider is provided to adjust the detail level of the created object.

The source can be scaled as it is moved along the path by setting a Scale factor. It also can be twisted as it moves along the path by setting a Rotate factor.

As an alternative, you may choose to use N-Spline curves or Bezier curves. Bezier is a smoother curve, but N-Spline control points are guaranteed to be on the curve produced.

Click Button-SaveSmall.gif (149 bytes) to save.

Click Button-DeleteSmall.gif (918 bytes) to reset the source and path.

Click Button-UndoSmall.gif (134 bytes) to undo the previous operation. Only modeling operations can be undone.

Click Button-RedoSmall.gif (134 bytes) to redo the last action undone.

Click Button-WireframeSmall.gif (139 bytes) to display the object in wireframe mode.

When you have completed your object simply close the Object Builder and your scene will be updated with the new object.


Using the Surface Tool

ObjectBuildingTools-Surface.gif (17099 bytes)

The Surface Tool is primarily used to create organic objects.

Objects are built from a patchwork of surfaces. Surfaces are added to the object by clicking on Button-Surface.gif (129 bytes) .

Clicking on a surface exposes its control points (handles), which can then be dragged to deform the surface. Selecting a control point on an edge and clicking Button-SurfaceClone.gif (936 bytes) results in the current surface being cloned and glued to the selected edge.

A perspective view is provided as well as three orthographic views. A default background grid is provided, but is customizable. You may specify side, top and front view bitmap images of the object you want to create to replace this background grid. Providing a side view image of the object you are creating makes modeling much easier as you can use this image to "trace" your desired object.

The best procedure for creating a model from an image is to lay out one surface at a time matching edges to your side view image. Once you are satisfied with the position of the surfaces and the shape of the object, begin adding depth to your object. Adding depth is easiest with the orthographic side view of the object. Right click and drag on control points while watching the other three views for correct depth.

Control points glue to each other if placed near each other. If you right-click on a group of control points, you can choose to Un-group them.

There are two sliders available. The top slider is only available for NURBS surfaces. When a control point is selected it becomes active, and can be used to adjust the amount of weight given to a particular control point. An increased weight results in the control point drawing the surface closer to it. Note that this slider will only be shown when modeling with NURBS.

The bottom slider is used to adjust the quality level of the surfaces. Surfaces are rebuilt in real time as control points are moved. It helps to keep the quality level low during modeling to ensure frequent rebuilds. 3D Canvas will stop rebuilding surfaces in real-time if you raise the quality too high or if the surface you are working on has a large number of control points.

The default Surface type is a NURBS patch. Alternatively, you may use N-Spline patches or Bezier patches. For more information on Bezier curves and N-Spline curves see the Lathe or Extrude tools.

Button-SaveSmall.gif (149 bytes) saves the object.

Button-DeleteSmall.gif (918 bytes) deletes the active surface.

Button-UndoSmall.gif (134 bytes) undoes the previous operation. Only modeling operations can be undone.

Button-RedoSmall.gif (134 bytes) redoes the last action undone.

Button-XSmall.gif (908 bytes) constrains operations along the X axis.

Button-YSmall.gif (906 bytes) constrains operations along the Y axis.

Button-ZSmall.gif (905 bytes) constrains operations along the Z axis.

Button-SnapTo.gif (163 bytes) enables snap to grid.

Button-ResetGrid.gif (140 bytes) resets all grid textures to their default.

Button-SideView.gif (138 bytes) allows you to provide a replacement image for the grid. This image should be the side view of the object you wish to create.

Button-TopView.gif (135 bytes) allows you to provide a replacement image for the grid. This image should be the top view of the object you wish to create.

Button-FrontView.gif (134 bytes) allows you to provide a replacement image for the grid. This image should be the front view of the object you wish to create.

Button-ShowAllHandles.gif (935 bytes) displays all control points for all surfaces. Having all control points displayed causes significant performance degradation, but is useful for when you want to glue control points together.

Button-Mesh.gif (963 bytes) displays solid surfaces.

Button-Translucent.gif (968 bytes) displays translucent surfaces.

Button-Mesh.gif (963 bytes) displays the surfaces in wireframe.

Button-Hide.gif (940 bytes) hides all surfaces.

Button-Cage.gif (938 bytes) displays the surfaces' control point cage.

Button-SurfaceColor.gif (295 bytes) paints each surface a unique color.

Button-Surface.gif (129 bytes) adds a new surface to the object. This surface will be made up of 16 control points. Surfaces with more control points can be created by merging surfaces.

Button-SurfaceClone.gif (936 bytes) clones the active surface and glues the clone to the selected surface. Select a control point on the edge of an existing surface to glue the cloned surface to that edge. If no control point is selected, 3D Canvas will attempt to glue to the most appropriate edge.

Button-DivideSurface.gif (941 bytes) divides the selected surface into four surfaces.

Button-DivideSurfaceHorizontal.gif (934 bytes) divides the selected surface horizontally into two surfaces.

Button-DivideSurfaceVertical.gif (941 bytes) divides the selected surface vertically into two surfaces.

Button-Toolbar-Boolean-Merge.gif (924 bytes) merges two surfaces. To merge two surfaces, click on a surface, then click Button-Toolbar-Boolean-Merge.gif (924 bytes), and finally on a second surface. The surfaces must meet along an edge to be merged.

Button-MirrorSmall.gif (143 bytes) mirrors all surfaces along the z axis. Once you have completed a side view of your object, you can use this to mirror the completed surfaces.

When you have completed your object simply close the Object Builder and your scene will be updated with the new object.


Using the Text Tool

ObjectBuildingTools-Text.gif (11618 bytes)

The Text Tool takes source text that you provide and sweeps it through space along a path you define. The volume swept through becomes a solid text object.

The Text Tool is made up of two panes. The first pane is the object preview, which displays the object created. The second pane is the path grid which is used to define the path through space of the text.

The path is defined using control points. A series of control points are connected to create the path. Control points are added by clicking on the grid. The first control point is colored green. Each additional point added is colored white. The points are connected using a B-Spline curve. This form of curve has a start control point and end control point that are guaranteed to be on the curve, but any other control points act as magnets attracting the curve in their direction.

Shift-Clicking on a control point creates a new control point along the curve. Ctrl-Clicking on a control point deletes the control point.

A slider is provided to adjust the detail level of the created object.

The text can be scaled as it is moved along the path by setting a Scale factor. It also can be twisted as it moves along the path by setting a Rotate factor.

As an alternative, you may choose to use N-Spline curves or Bezier curves. Bezier is a smoother curve, but N-Spline control points are guaranteed to be on the curve produced.

Click Button-SaveSmall.gif (149 bytes) to save.

Click Button-DeleteSmall.gif (918 bytes) to reset the object

Click Button-UndoSmall.gif (134 bytes) to undo the previous operation. Only modeling operations can be undone.

Click Button-RedoSmall.gif (134 bytes) to redo the last action undone.

Click Button-WireframeSmall.gif (139 bytes) to display the object in wireframe mode.

When you have completed your object simply close the Object Builder and your scene will be updated with the new object.


Using Object Libraries

Panel-Components-ObjectLibrary.gif (9345 bytes)

Object libraries are collections of commonly used objects.

Click Button-Panel-ObjectLibrary.gif (145 bytes) to show the Object Library panel. Or select the Component Tab Button-Construction-Component.gif (1131 bytes) to show all component sub-panels.

Click Button-OpenSmall.gif (177 bytes) to open an object library. The drop-down box provides quick access to all object libraries that are in the same folder as the active object library.

Click Button-NewSmall.gif (138 bytes) to add an object to the library. This will allow you to select a 3D Canvas Object File to load into the Object Library. Alternatively, you can right click on an object and select Add to Object Library.

Click Button-DeleteSmall.gif (918 bytes) to delete the selected object from the library.

Click Button-More.gif (894 bytes) to show more objects.

Click Button-Less.gif (891 bytes) to show fewer objects.

To add an object to your scene, click on an object and drag it onto your scene. This will make a copy of it in your scene.


Modifying Scene Components

You can modify Scene Components using a number of different methods.

3D Canvas provides a number of Tools that can be used to select, paint, move and deform objects.

Also, there are a number of other operations that can be applied to objects, including Object Operations, Skeletal Operations, Boolean Set Operations and the ability to clone objects.


Using Tools

Button-Toolbar-Select.gif (187 bytes) is the Component Selection tool. Clicking and dragging on a component within the scene results in the component being moved.

The Edit Control is also displayed when an object is selected, which provides additional editing functions.

Selecting an object with this tool makes available any Operations, Boolean Operations or other operations that apply to the object.

Alt-Selecting with this tool not only selects the object, but also any sibling objects and child objects. This is primarily used for scaling, deleting, copying compound-objects. It can also be used to add compound-objects to the object library. Operations and most other operations do not apply to compound-objects.

Double-Clicking on an object opens the object's source, which can then be updated. If an object's source is updated, any Operations or Boolean Operations will be reapplied to the updated object.

Button-Toolbar-SelectFace.gif (906 bytes) is the Point and Face Selection Tool. With this tool, the points and faces that make up an object can be manipulated. Clicking and dragging a face or point results in the selection being moved.

If a face is selected, point handles will be displayed. Point handles are displayed only if a single face is selected.

Shift-selecting faces results in multiple faces being selected. Ctrl-selecting a face results in the selected face being toggled. Alt-selecting with this tool will select all faces that point in the same direction.

Multiple point handles may be selected by shift-selecting point handles. Ctrl-selecting a point results in the selected point being toggled.

The Edit Control is also displayed when a face or point is selected, which provides additional editing functions.

Selecting a Point of Face with this tool makes available any Operations that apply to the selection.

Note that manipulating points or faces can result in objects which do not render as expected. Non-planar polygons cannot be guaranteed to be rendered as intended. To correct this problem use the Optimize Operation

Button-Toolbar-FaceGroupSelectionTool.gif (911 bytes) is the Face Group Selection Tool. Draw a rectangle with this tool, and it will select all object faces that have at least one point within the selection rectangle. Only faces from one object at a time may be selected.

Alt-Selecting with this tool will select not only the visible faces, but also the faces on the other side of the object.

The Edit Control is also displayed when a face or point is selected, which provides additional editing functions.

Selecting with this tool makes available any Operations that apply to the selection.

Button-Toolbar-OperationAdjustTool.gif (912 bytes) is the Operation Adjustment Tool. Many Operations can be adjusted after they have been applied. For instance, an object that has has been Bent using the Bend operation can have the amount of the bend scaled using this tool.

Selecting an object with this tool will display the standard Edit Control. Note that not all operations support the Move/Scale/Rotate functions of the Edit Control. Only those Edit Control functions that apply to the currently active Operation of the object will be displayed.

Alt-Selecting with this tool enables not only the current Operation for adjustment, but also any other like-Operations that immediately precede the current Operation in the Layers List.

This tool is primarily used for animation purposes. For example, the effect of a Bend Operation can easily be adjusted over time to provide a varying amount of bend depending on the time within the animation.

Button-Toolbar-Deform.gif (934 bytes) is the Deform tool. Clicking and dragging an object results in the object being deformed. The range of effect can be set using the Deform Tool options, which can be displayed by right-clicking.

Button-Toolbar-Shift.gif (923 bytes) is the Shift tool. Clicking and dragging an object within the scene results in it being moved relative to its frame. This is particularly useful when there are multiple items on the same frame. This permits an object to be shifted, without affecting its siblings. It is also useful if you want an object to rotate around a point other than its center.

Button-Toolbar-Paint.gif (941 bytes) is the Face Painting tool. Clicking on a face results in the face being painted with the current material. Clicking and dragging results in multiple faces being painted with the current material.

Button-Toolbar-FillTool.gif (941 bytes) is the Fill tool. Clicking on an object results in the object being filled with the current material. Textures may be applied perpendicular to the x-z plane or applied oriented based on the face clicked. This behavior is set with the Material Palette's Apply Relative options.

Button-Toolbar-SampleTool.gif (934 bytes) is the Material Sample Tool. Clicking on an object will copy the current material for that selected point to the Material Palette.

Button-Toolbar-ShadowTargetSelection.gif (923 bytes) is the Shadow Target Selection Tool. Shadows in 3D Canvas are simulated, and can only lie on a single plane. This tool is used to select the plane on which the shadow should fall.

Button-Toolbar-RotationAxisTool.gif (925 bytes) is the Rotation Axis Tool. It is used to adjust the orientation of the rotation axis. This should be used in Orthographic views since it can be quite difficult to judge the orientation in perspective mode. The Rotational Velocity for an object is set with the Object Properties which can be viewed by right clicking on an object and selecting Properties.

Button-Toolbar-Navigate.gif (919 bytes) is the Navigation tool. Clicking and dragging on the scene results in scene navigation.


Using Object Operations

Panel-Operations.gif (4898 bytes)

The Operation Panel is used to Apply Object Operations and Manage Object Layers. It is made up of two sub-panels, the Object Operations and Object Layers sub-panels.

As with all of the Construction Panels (Material, Component, Operation and Hierarchy) there are two ways to view the Operation Panel, in a fully expanded state by choosing the Operation Tab Button-Construction-Operation.gif (1133 bytes) or in a customizable state by selecting Customize Panels Button-Construction-Customize.gif (1126 bytes).

Click Button-Panel-Operations.gif (155 bytes) to show the Operations sub-panel. Or select the Operation Tab Button-Construction-Operation.gif (1133 bytes) to show all Operation sub-panels.

Click Button-Panel-Layers.gif (135 bytes) to show the Layers sub-panel. Or select the Operation Tab Button-Construction-Operation.gif (1133 bytes) to show all Operation sub-panels.


Applying Operations

Panel-operations-operations.gif (2575 bytes)

Operations are used to modify the attributes of an object. For example, the Bend Operation is used to Bend an Object, the Fill Material Operation is used to fill the object with a material etc.

Click Button-Panel-Operations.gif (155 bytes) Object Operations panel. Or select the Operation Tab Button-Construction-Operation.gif (1133 bytes) to show all Operation sub-panels.

Operations may operate on Objects, Faces or Points. Only those operations that apply to the current selection will be available

Detail Operations

operation-Bevel.gif (924 bytes) operation-Divide.gif (522 bytes) operation-Smooth.gif (525 bytes) operation-Extrude.gif (924 bytes) operation-Optimize.gif (521 bytes) operation-Solidify.gif (523 bytes) operation-SplitPoint.gif (143 bytes) operation-Tip.gif (529 bytes) operation-Triangulate.gif (523 bytes) operation-Trim.gif (912 bytes)

Detail Operations are used to add or remove detail from an object. They affect not only the shape of the object, but also the number of faces and points

operation-Bevel.gif (924 bytes) | Bevel (Available with 3D Canvas Pro and the 3D Canvas Deform Plug-In Package) Bevels the selected faces. If you do not have 3D Canvas Pro, you can bevel edges using the Extrude operation.
operation-Divide.gif (522 bytes) | Divide (Available with 3D Canvas Pro and the 3D Canvas Detail Plug-In Package) Divides the faces that make up the selection.
operation-Smooth.gif (525 bytes) | Smooth Divides the faces that make up the selected object, and attempts to smooth it.
operation-Extrude.gif (924 bytes) | Extrude Extrudes and optionally Bevels the selected faces.
operation-Optimize.gif (521 bytes) | Optimize Optimizes the geometry of the object. This often results in a smaller number of polygons, but may also correct rendering problems that result from deformation, point editing and face editing. It is also useful to optimize objects prior to Boolean set operations. This is likely to be useful when objects have been deformed, point edited or face edited.
operation-Solidify.gif (523 bytes) | Solidify Solidifies an object. Often when objects are imported from other 3D modeling programs, the objects are not solid. This operation attempts to fill any holes found. If this Operation does not make the object solid, or makes it even less solid, try using the Triangulate Operation on the object first.
operation-SplitPoint.gif (143 bytes) | Split (Available with 3D Canvas Pro and the 3D Canvas Detail Plug-In Package) Splits the selected point or points.
operation-Tip.gif (529 bytes) | Tip (Available with 3D Canvas Pro and the 3D Canvas Detail Plug-In Package) Creates Tips on the selection.
operation-Triangulate.gif (523 bytes) | Triangulate (Available with 3D Canvas Pro and the 3D Canvas Detail Plug-In Package) Triangulates an object. This is commonly used in conjunction with the Solidify Object Operation to correct problems with geometries imported from other 3D modeling programs.
operation-Trim.gif (912 bytes) | Trim (Available with 3D Canvas Pro and the 3D Canvas Detail Plug-In Package) Trims the selection.

Deform Operations

operation-Bend.gif (513 bytes) operation-Center.gif (528 bytes) operation-Invert.gif (516 bytes) operation-Mirror.gif (525 bytes) operation-Scale.gif (522 bytes) operation-Shear.gif (501 bytes) operation-Shift.gif (518 bytes) operation-SnapScale.gif (531 bytes) operation-Taper.gif (516 bytes) operation-Twist.gif (511 bytes)

Deform Operations change only the shape of an object.

operation-Bend.gif (513 bytes) | Bend Bends the selection.
operation-Center.gif (528 bytes) | Center Centers the selection on its frame.
operation-Invert.gif (516 bytes) | Invert Inverts the object. This results in the object becoming inside-out, or if the object was already inside-out, it will become right-side out. This is commonly used to correct problems with geometries imported from other 3D modeling programs.
operation-Mirror.gif (525 bytes) | Mirror (Available with 3D Canvas Pro and the 3D Canvas Deform Plug-In Package) Mirrors the selected object along the Z axis.
operation-Scale.gif (522 bytes) | Scale Scales the selection. Note that this simply applies a Scale Operation to an object, with a default of 100% scaling in all directions. Use the Adjust Tool to modify the scaling effect. This operation is provided to allow for animated scaling of objects. Objects are normally scaled by using the Edit Control.
operation-Shear.gif (501 bytes) | Shear (Available with 3D Canvas Pro and the 3D Canvas Deform Plug-In Package) Shears the selection.
operation-Shift.gif (518 bytes) | Shift Shifts the selection.
operation-SnapScale.gif (531 bytes) | Snap-Scale (Available with 3D Canvas Pro and the 3D Canvas Deform Plug-In Package) Snaps the size of the selected object to the Snap To Interval.
operation-Taper.gif (516 bytes) | Taper Tapers the selection.
operation-Twist.gif (511 bytes) | Twist Twists the selection.

Miscellaneous Operations

operation-Fill.gif (535 bytes) Operation-UnWrap.gif (197 bytes) Operation-UVMap.gif (197 bytes) operation-Burst.gif (522 bytes) operation-Crease.gif (514 bytes) Operation-Flatten.gif (148 bytes) Operation-Swirl.gif (167 bytes)

operation-Fill.gif (535 bytes) | Material-Fill Fills the selection with the current material from the Material Palette. Typically this should be the final or near-final operation applied to an object since many Operations destroy any material applied. If you decide to apply a destructive operation after the material, you can move the material operation within the list of layers.
Operation-UnWrap.gif (197 bytes) | Unwrap (Available with 3D Canvas Pro and the 3D Canvas Material Plug-In Package) The Unwrap operation is used to create a texture that can be painted in a Paint program and applied to an object.
Operation-UVMap.gif (197 bytes) | UV Map (Available with 3D Canvas Pro and the 3D Canvas Material Plug-In Package) Fills the selection and permits manipulation of the created texture coordinates.
operation-Burst.gif (522 bytes) | Burst Burst the selected object.
operation-Crease.gif (514 bytes) | Crease Adjusts the creasing of the selected object.
Operation-Flatten.gif (148 bytes) | Flatten (Available with 3D Canvas Pro and the 3D Canvas Deform Plug-In Package) Flattens the selected object.
Operation-Swirl.gif (167 bytes) | Swirl Swirls the selected object.


Managing Object Layers

Panel-Operations-Layers.gif (2696 bytes)

Objects can have a number of Operations or Boolean Operations applied to them. These operations are referred to as "Layers". These layers are retained and many can be updated after application. If you update a operation, all operations applied after will be re-applied. This allows for fine tuning of modifications to objects and animation of operation effects.

While in Animation Mode, only those operations that were applied in Animation Mode will be displayed. While in Modeling Mode, only those operations that were applied in Modeling Mode will be displayed. This is done to make it clear which operations can be animated, since only Operations applied in Animation Mode can be animated.

Click Button-Panel-Layers.gif (135 bytes) to show the Object Layers panel. Or select the Operation Tab Button-Construction-Operation.gif (1133 bytes) to show all Operation sub-panels.

Clicking on a layer will display the selected object in the state it was when that operation was applied. Clicking on a Material layer will copy the material applied to the Material Palette so that you can update it.

Click Button-Operation-Update.gif (515 bytes) to update the current layer. This will only be displayed if the Layer supports this operation. This button is also available for the source object so that you can open and update the source object.

Click Button-Operation-Compact.gif (519 bytes) to compact the current layer and all layers below the current layer in to a single layer. This is used to reduce the disk storage required for the object. Layers are cached and as a result, files can get very large.

Click Button-Operation-Up.gif (903 bytes) to move the selected layer up in the layers list. The order in which Operations are applied does affect how the final object will look.

Click Button-Operation-Down.gif (507 bytes) to move the selected layer down in the layers list.

Click Button-DeleteSmall.gif (918 bytes) to delete the current layer.

Click Button-More.gif (894 bytes) to show more layers.

Click Button-Less.gif (891 bytes) to show fewer layers.

Symbol-Operation-Mesh.gif (878 bytes) indicates that the layer is applied to an object.

Symbol-Operation-Face.gif (862 bytes) indicates that the layer is applied to a face or selection of faces.

Symbol-Operation-Point.gif (848 bytes) indicates that the layer is applied to a point or selection of points.

Symbol-Operation-NonDestructive.gif (861 bytes) indicates a non-destructive layer. This means that it does not change the number of faces or points in the object.

Symbol-Operation-Destructive.gif (884 bytes) indicates a destructive layer. This means that the number of faces and/or points in the object is changed by this layer. Operations applied to a selection of faces or points cannot be reapplied if a operation earlier in the list is updated and the result is that the number of faces or points changes.

Symbol-Operation-Active.gif (890 bytes) indicates an active layer. A layer can be made inactive by clicking on the check box.

Symbol-Operation-InActive.gif (883 bytes) indicates an non-active layer. A layer can be made active by clicking on the check box.


Using the Skeletal Operations

Selecting a Skin enables the Button-Toolbar-Relax.gif (158 bytes) button. Clicking this button will relax the skin to the state it was in when it was attached to its bones.

Selecting a bone will enable the Button-Toolbar-AttachSkin.gif (151 bytes) button. Clicking this button will attach the nearest object as a Skin and open the Bone Effect window which allow you to specify the range of effect of the selected bone.


Applying Boolean Set Operations

Select an object.

Click Button-Toolbar-Boolean-Merge.gif (924 bytes) and then a second object to merge the two objects. This differs from a union in that it does not create any new faces or points, but simply creates a single object from the two. Also, all material information is retained.

3D Canvas Pro Features

Click Button-Toolbar-Boolean-Union.gif (929 bytes) and then a second object to create a new object from the union of the two objects.

Click Button-Toolbar-Boolean-Intersection.gif (930 bytes) and then a second object to create a new object from the intersection of the two objects.

Click Button-Toolbar-Boolean-Subtraction.gif (934 bytes) and then a second object to subtract the first from the second.

Click Button-Toolbar-Boolean-Blend.gif (935 bytes) and then a second object to blend the two objects. This can be a time consuming task.

Click Button-Toolbar-Boolean-Bridge.gif (941 bytes) and then a second object to create a single object with a bridge between the two objects. Options are available for the bridge effect by right-clicking. This can be a time consuming task.

It is also useful to triangulate objects prior to Boolean set operations if an object has been deformed, point edited or face edited. This will result in faster and more accurate results.


Using the Clone Operation

Using the Clone Operation (Available with 3D Canvas Pro)

The Clone operation duplicates the selected object.

Cloning options can be displayed by right-clicking on Button-Toolbar-Duplicate.gif (939 bytes).


Materials Overview

Panel-Materials.gif (30609 bytes)

The material panel is used to create and manage materials.

It is made up of a series of sub-panels, including the Material Palette, Texture Library, and Material Library sub-panels.

As with all of the Construction Panels (Material, Component, Operation and Hierarchy) there are two ways to view the Material Panel, in a fully expanded state by choosing the Material Tab Button-Construction-Material.gif (1138 bytes) or in a customizable state by selecting Customize Panels Button-Construction-Customize.gif (1126 bytes).

Click Button-Panel-Material.gif (138 bytes) to show the Material Palette sub-panel. Or select the Material Tab Button-Construction-Material.gif (1138 bytes) to show all Material sub-panels.

Click the Texture Library's Button-RollDown.gif (95 bytes) to show the Texture Library sub-panel. Click Button-RollUp.gif (93 bytes) to hide the panel. Or select the Material Tab Button-Construction-Material.gif (1138 bytes) to show all Material sub-panels.

Click Button-Panel-MaterialLibrary.gif (151 bytes) to show the Material Library sub-panel. Or select the Material Tab Button-Construction-Material.gif (1138 bytes) to show all Material sub-panels.


Using the Material Palette

Panel-Materials-Palette.gif (13672 bytes)

Materials can be viewed as "paint" for 3D objects. A material is made of a number of attributes including color, transparency, specularity (shininess), and a texture (bitmap).

Click Button-Panel-Material.gif (138 bytes) to show the Material Palette panel. Or select the Material Tab Button-Construction-Material.gif (1138 bytes) to show all Material sub-panels.

The Material Palette is made up of three primary sub-panes, the material preview pane, the texture preview pane, and the color preview pane.

As you change material attributes, the material preview is updated to show you how your material will look when applied to an object.

Clicking on the color displays a color selection window. Note that objects with textures applied usually look best with a white background.

A material is applied to an object by using the Paint, Oriented Fill or Fill tools.

Button-TextureFlipHorizontal.gif (908 bytes) flips the texture horizontally.

Button-TextureFlipVertical.gif (911 bytes) flips the texture vertically.

Button-WrapCylinder.gif (919 bytes) applies the texture to the preview object with a cylindrical wrap.

Button-WrapSphere.gif (917 bytes) applies the texture to the preview object with a spherical wrap.

Button-WrapFlat.gif (912 bytes) applies the texture to the preview object with a flat wrap. Right Click to display flat wrap options.

Button-WrapChrome.gif (924 bytes) applies the texture to the preview object with a chrome wrap. This option is only available in Animation Mode and when applied to an object is only updated during animation or snapshot recording.

Button-Material-WrapWorldOriented.gif (131 bytes) indicates that the Fill Tool Button-Toolbar-FillTool.gif (941 bytes) should orient the texture relative to the scene.

Button-Material-WrapFaceOriented.gif (903 bytes) indicates that the Fill Tool Button-Toolbar-FillTool.gif (941 bytes) should orient the texture relative to the point selected with the Fill Tool.

Button-Material-WrapCameraOriented.gif (942 bytes) indicates that the Fill Tool Button-Toolbar-FillTool.gif (941 bytes) and Material Fill Operation should orient the texture relative to the Animation Camera. This option is only available in Animation Mode and when applied to an object is only updated during animation or snapshot recording.

Button-Material-TextureCrop.gif (956 bytes) displays a window that allows you to crop the texture.

Button-PreviewPrimitive.gif (687 bytes) displays a window that allows you to select an alternate preview object.

Button-DeleteSmall.gif (918 bytes) resets the material palette defaults.

Ambient, Specular, Emissive and Transparency attributes may also be set.

Click the Texture Library's Button-RollDown.gif (95 bytes) to show the Texture Library sub-panel. Click Button-RollUp.gif (93 bytes) to hide the panel.

Click the Texture Library's Button-Popup.gif (879 bytes) to show a popup window with all available textures in the active Texture Library.


Using Texture Libraries

Panel-Materials-TextureLibrary.gif (8290 bytes)

Texture libraries are collections of commonly used Textures. The Textures themselves are stored using the Windows Bitmap format.

Click Button-RollDown.gif (95 bytes) to show the Texture Library panel. Click Button-RollUp.gif (93 bytes) to hide the panel. Or select the Material Tab Button-Construction-Material.gif (1138 bytes) to show all Material sub-panels.

Click on a texture to copy it to the Material Palette.

Click Button-Popup.gif (879 bytes) to show a Popup window with all textures in the active Texture Library.

Click Button-OpenSmall.gif (177 bytes) to open a texture library. The drop-down box provides quick access to all texture libraries that are in the same folder as the active texture library.

Click Button-NewSmall.gif (138 bytes) to add an Texture to the library.

Click Button-DeleteSmall.gif (918 bytes) to delete the active Texture from the library. Note that this will not delete the underlying file, only the reference to it in the Texture library.

Click Button-More.gif (894 bytes) to show more Textures.

Click Button-Less.gif (891 bytes) to show fewer Textures.


Using Material Libraries

Panel-Materials-MaterialLibrary.gif (11357 bytes)

Material libraries are collections of commonly used materials.

Click Button-Panel-MaterialLibrary.gif (151 bytes) to show the Material Library panel. Or select the Material Tab Button-Construction-Material.gif (1138 bytes) to show all Material sub-panels.

Click on a material to copy it to the Material Palette.

Click Button-OpenSmall.gif (177 bytes) to open a material library. The drop-down box provides quick access to all material libraries that are in the same folder as the active material library.

Click Button-NewSmall.gif (138 bytes) to add the material currently active in the Material Palette to the library.

Click Button-DeleteSmall.gif (918 bytes) to delete the active material from the library.

Click Button-More.gif (894 bytes) to show more materials.

Click Button-Less.gif (891 bytes) to show fewer materials.


Hierarchy Overview

A 3D Canvas scene is made up of a hierarchy of frames. Frames in 3D Canvas are much like folders are in Windows. They are used to organize a scene, as folders are used to organize a hard drive in Windows. A frame can contain scene components and other frames just as a Windows folder can contain files and other folders. Frames and components can be moved within the Scene Hierarchy much like you would move folders and files with Windows.

The term "Frame" refers to "physical frame of reference". When you select and drag a scene component, you are not dragging the component, but its frame. This results in any frames or components contained within the frame being moved also. If you rotate a component, you are not rotating the object itself, but its frame. This behavior of frames is very useful since it permits the creation of complex objects made up of many parts that behave as a single object.

The frame that contains a scene component is not normally visible in the actual scene, except when an object is selected. In this case it is represented as a small yellow box.

If you need to adjust the position of an object relative to its frame rather than the frame itself, the Adjustment tool is provided. This tool is often used to produce objects that rotate about a point other than the object's center.

The Hierarchy Panel

Panel-Hierarchy.gif (2242 bytes)

The Hierarchy Panel displays the scene hierarchy. It also permits the hierarchy of the scene to be modified.

As with all of the Construction Panels (Material, Component, Operation and Hierarchy) there are two ways to view the Hierarchy Panel, in a fully expanded state by choosing the Operation Tab Button-Construction-Hierarchy.gif (721 bytes) or in a customizable state by selecting Customize Panels Button-Construction-Customize.gif (1126 bytes).

Frames are represented within the scene hierarchy as yellow boxes.

Frames and Scene components may be moved within the hierarchy by dragging and dropping them onto a new frame. They may also be renamed as appropriate.

Clicking on an Object, Light, or Camera results in that item being selected with the scene. Conversely, clicking on an item within the scene will select that item in the Hierarchy Panel.

3D Canvas's drag and drop features apply to the Scene Hierarchy as well as the Scene. If you want, you can drag and drop a primitive, light, or other object directly on to the Scene Hierarchy Panel.

The Components menu is available by right-clicking on a scene component.

icon-Folder.gif (891 bytes) Frame

A frame may contain an object and any number of other frames. If a frame is moved, all of its child frames are moved also.

Icon-Mesh.gif (870 bytes) Object

An object created from primitives, the object building tools, or a predefined object.

Icon-Bone.gif (78 bytes) Bone

A Bone component.

Icon-Skin.gif (88 bytes) Skin

An object that has been attached to bones as a skin.

Icon-Light.gif (844 bytes) Light

A Light component.

Icon-Camera.gif (896 bytes) Camera

There is a single Animation Camera object within a scene. It is this camera's view that you will see if you record an animation.


Naming Scene Components

Click on the the item's name. Click a second time to make it modifiable. You may then enter a name you choose for that item.


Changing the Hierarchy of a Scene

You may drag any frame onto another frame to re-parent it. You may also drag any object on to a frame to change its parent.

Note that the root of the scene is a special case where select components that do not have a position are located.


Animation Overview

Objects within a 3D Canvas scene may be animated using key-frame based animation functions. A key-frame is a snapshot of how the scene looks at a point in time. The Animation Toolbar, if enabled, is located at the bottom of the 3D Canvas window, and contains all of the animation related functions.

Animations are played and recorded from the point of view of the Animation Camera. This Animation Camera is part of every scene, and can be animated as with any other object.

You may choose to view a scene through the Animation Camera, or the Layout Camera. The Layout Camera is not part of the scene and is used only for the purposes of providing an alternate view of the scene while setting up an animation. The Camera you choose to view through can be set by right-clicking anywhere on the scene and selection Camera from the pop-up menu.

The Animation Slider

Each position on the animation slider is a key-frame. You may set the position and orientation of the objects in your scene at each key-frame on the slider. When the animation is played, 3D Canvas will interpolate positions between these key-frames. Interpolation of position is based on Spline curves. You can create a straight-line path by creating sub-path key frames.

As you set-up your animation, the currently selected object's path is displayed as a positioning aid. Colored points indicate key-frame non-interpolated positions.

AnimationPath.gif (6772 bytes)

You can work with a sub-range of your animation by selecting a start point using the animation slider and shift-dragging the animation slider to the desired end point.

Animation Functions

Functions are included to play animations, record animations to video, and save an animation still frame image to a bitmap file.

Animation Mode

To enter animation mode, click the Button-Animation-Animate.gif (1005 bytes) button. When in animation mode, the animation functions become available.


Animating Component Positions

Each position on the animation slider is a key-frame time. You may set the position and orientation for each object at each key-frame time on the slider. When the animation is played, 3D Canvas will interpolate positions between these key-frames.

As you set-up your animation, the currently selected object's path is displayed as a positioning aid. Colored points indicate key-frame non-interpolated positions. A red point indicates a path origin, or sub-path origin. Sub-paths are used to indicate a non-curved point in the animation path.

AnimationPath.gif (6772 bytes)

Button-ResetAll.gif (138 bytes) resets all the key-frames for the scene. This results in the loss of all animation information for the scene.

Button-DeleteSmall.gif (918 bytes) resets the currently selected component's animation key-frames. This results in the loss of all animation information for the selected component.

Button-Animation-FrameKeyFrame-None.gif (908 bytes) will be in a "pushed" state whenever the object you are animating is at an interpolated position rather than a key-frame position. If not "pushed", you can click on this to cause the current animation time to use an interpolated position rather than a key-frame position.

Button-Animation-FrameKeyFrame-Standard.gif (129 bytes) will be in a "pushed" state whenever the object you are animating is at a key-frame position. If not "pushed", you can click on this to cause the current object's position to become a fixed non-interpolated position.

Button-Animation-FrameKeyFrame-Path.gif (129 bytes) will be in a "pushed" state whenever the object you are animating is at a path origin, or sub-path origin key-frame position. If not "pushed", you can click on this to cause the current key-frame position to be the beginning of a sub-path.

Button-Animation-FrameKeyFrame-CopyRight.gif (920 bytes) copies the current key-frame to one key-frame later in the animation. This is useful for adding pauses to animations.

Alt-clicking on Button-Animation-FrameKeyFrame-CopyRight.gif (920 bytes) will move the current key-frame to one key-frame later in the animation.

Button-Animation-FrameKeyFrame-CopyLeft.gif (921 bytes) copies the current key-frame to one key-frame earlier in the animation. This is useful for adding pauses to animations.

Alt-clicking on Button-Animation-FrameKeyFrame-CopyLeft.gif (921 bytes) will move the current key-frame to one key-frame earlier in the animation.

Button-Animation-FrameKeyFrame-Repeat.gif (902 bytes) creates a repeating animation. All key-frames for the selected object will be repeated continuously. Note that the key-frame for the current time will be set to equal the first key-frame in the animation in order to create a continuos animation.

There are times where interpolation will produce unexpected results. Our animation interpolator must be given enough information to determine what it is you intend. For example, if you want an object to rotate an entire revolution, you must provide a minimum of 3 orientations for the object. If you give only two orientations, the interpolator cannot determine if you wanted the object to rotate a half revolution, and then back, or an entire revolution.

You may also set-up a component rotational velocity using the Properties window. The Properties window can be accessed by right-clicking on an object and selecting Properties. This rotational form of animation only occurs when you are playing or recording an animation.


Animating Operations

The effect of any Operation that has "Parameters" can be animated. A Parameter is an option that the Operation uses to determine how to affect the object. For example, the Material Fill operation has parameters of Color, Transparency etc. Virtually every Operation Parameter can be animated over time.

Each position on the animation slider is a key-frame time. You may change the parameters of the Operations for each object at each key-frame time on the slider. When the animation is played, 3D Canvas will interpolate between these key-frames.

Only Operations that have been applied in animation mode can be animated. There are two ways to change the parameters for a Operation.

1) The Update function of the Layers List will display the update function for operations.

2) The Adjust tool of the Edit Toolbar allows you to adjust the effect of operations using the edit control.

Note that simply applying another operation to an object at a second time in the animation will not produce an animated operation. It will simply apply another animatable operation. This allows for multiple operations of the same type to be applied to an object and animated independently.

Button-Animation-OperationKeyFrame-None.gif (921 bytes) will be in a "pushed" state whenever the object you are animating is at an interpolated position rather than a key-frame position. If not "pushed", you can click on this to cause the current animation time to use an interpolated position rather than a key-frame position.

Button-Animation-OperationKeyFrame-Standard.gif (926 bytes) will be in a "pushed" state whenever the object you are animating is at a key-frame position. If not "pushed", you can click on this to cause the current object's position to become a fixed non-interpolated position.

Button-Animation-OperationKeyFrame-Path.gif (926 bytes) will be in a "pushed" state whenever the object you are animating is at a path origin, or sub-path origin key-frame position. If not "pushed", you can click on this to cause the current key-frame position to be the beginning of a sub-path.

Button-Animation-OperationKeyFrame-CopyLeft.gif (929 bytes) copies the current key-frame to one key-frame later in the animation. This is useful for adding pauses to animations.

Alt-clicking on Button-Animation-OperationKeyFrame-CopyLeft.gif (929 bytes) will move the current key-frame to one key-frame later in the animation.

Button-Animation-OperationKeyFrame-CopyRight.gif (930 bytes) copies the current key-frame to one key-frame earlier in the animation. This is useful for adding pauses to animations.

Alt-clicking on will Button-Animation-OperationKeyFrame-CopyRight.gif (930 bytes) move the current key-frame to one key-frame earlier in the animation.

Button-Animation-OperationKeyFrame-Repeat.gif (916 bytes) creates a repeating animation. All key-frames for the selected object will be repeated continuously. Note that the key-frame for the current time will be set to equal the first key-frame in the animation in order to create a continuos animation.


Viewing and Recording an Animation

Viewing an Animation

The controls for viewing animations are organized much like those of a VCR.

Button-Beginning.gif (932 bytes) Button-Back.gif (909 bytes) Button-Play.gif (908 bytes) Button-Stop.gif (907 bytes) Button-Forward.gif (911 bytes) Button-End.gif (918 bytes)

Button-Play.gif (908 bytes) plays the animation.

Button-Stop.gif (907 bytes) stops the playing of the animation.

Button-Beginning.gif (932 bytes) rewinds the animation to its beginning.

Button-End.gif (918 bytes) fast forwards the animation to its end.

Button-Back.gif (909 bytes) and Button-Forward.gif (911 bytes) step through the animation one key-frame at a time.

Playing and Recording an Animation

Button-Animation-Ghost.gif (161 bytes) displays all animation key-frames simultaneously. 3D Canvas interpolated positions for objects are ghosted. The number of key-frames to display can be set using the Ghost options, which can be displayed by right-clicking.

Button-PlayFullScreen.gif (921 bytes) plays the animation at full screen so that you can use a third party application to capture a full screen image.

Button-Record.gif (942 bytes) plays the animation and records it to a Windows video file. You will be prompted for your recording preferences prior to the recording.

Button-Snapshot.gif (938 bytes) takes a snapshot image of the currently visible key-frame and saves it to a Windows bitmap file. You will be prompted for your snapshot preferences prior to the snapshot being taken.


Changing Animation Options

You may set the number of key-frames that you would like in your animation and the length of the animation by indicating how many key-frames are rendered per second.

Clicking Button-Animation-Properties.gif (942 bytes) on the Animation Toolbar displays the animation options.

Animation-Properties.gif (8011 bytes)

In addition to setting the total number of Animation Keys and Keys Per Second, you can also move or scale the animation sequence for frames or operations. To Scale an animation sequence, click on the final key-frame in the animation and drag to the key-frame where you would like the sequence to end. To Move an animation sequence, click anywhere else in the animation and drag.

Symbol-Animation-Continuous.gif (833 bytes) indicates that this is a non-repeating animation.

Symbol-Animation-Repeat.gif (842 bytes) indicates that this is a repeating animation.

Symbol-Animation-Frame.gif (879 bytes) in this sample this is a non-repeating frame animation with four key-frames that spans 9 seconds starting at time 0.

Symbol-Animation-Twist.gif (843 bytes) in this sample this is a repeating Twist operation on a Cube object with three key-frames that spans 5 seconds starting at time 2.

Symbol-Animation-Path.gif (840 bytes) indicates a path start or sub-path start key-frame.

Symbol-Animation-Standard.gif (840 bytes) indicates a standard key-frame.


Menus and Toolbars Overview

3D Canvas contains several menus and toolbars.

Menus contain functions related to file management, basic edit functions, the appearance of 3D Canvas and Help.

Toolbars contain a wide range of functions, and are used extensively in 3D Canvas since they provide quick access to commonly used functions.


Using the Menus

There are five main menus available in 3D Canvas.

The File menu provides functions related to file management.

The Edit menu is used to select functions related to editing.

The View menu provides view options for 3D Canvas.

The Tools menu provides application options.

The Help menu is used to access on-line help.

In addition to the standard menus there is also the Component popup menu which is displayed when you right-click on the scene. It provides a number of functions relating to camera position, editing, component properties etc.


The File Menu

The File menu is a standard Windows menu. It provides a number of functions related to file management.

New

Creates a new scene.

Open

Opens an existing scene.

Save

Saves the scene.

Save as...

Saves the scene as a new file.

Export

Exports the current scene to an alternate file format. The DirectX and POVRay file formats are the preferred export formats for 3D Canvas. With all other formats, only the geometry of the scene will be exported.

Import

Imports an object from an alternate file format. The DirectX file format is the preferred import format for 3D Canvas. With all other formats, only the geometry of the scene will be imported.

Compress

Compresses the current file. This removes all cached layer information. This reduces the size of a 3D Canvas file considerably. This operation is typically done in order to make a file small for distribution.

This will make the loading of the file slow the next time the file is opened, since cache layer information will have to be restored.

Note that Compressing in conjunction with Zipping can reduce file size tremendously. A Compressed and Zipped file can be as little as 10% of the original file size.

Properties

Opens the File Properties window which provides a number options for the appearance of the scene including background color, image and fog properties.

Exit

Exits 3D Canvas. You will be prompted to save your scene if any changes have been made.


The Edit Menu

The Edit menu is a standard Windows menu. It provides a number of functions related to editing.

Undo

Undoes the previous operation. Only modeling operations can be undone. Animation, parenting and object naming operations cannot be undone. To undo a Boolean operation you will need to undo twice, once for each object.

Redo

Redoes the last action undone.

Copy

Copies the selected scene component to the clipboard.

Cut

Cuts the selected scene component to the clipboard.

Paste

Pastes the scene component currently in the clipboard onto the scene. If a component is active, this new component will become a child of the selected component.

Delete

Deletes the selected scene component.


The View Menu

The View menu is a 3D Canvas specific menu.

View Selection

Opens the View Selection window which provides several scene view configurations.

Construction Panels

Allows you to show/hide the Material Panel, Component Panel, Operation Panel and Hierarchy Panel.

Primary Toolbar

Allows you to show/hide the Primary Toolbar.

Edit Toolbar

Allows you to show/hide the Edit Toolbar.

Animation Toolbar

Allows you to show/hide the Animation Toolbar.

Status Bar

Allows you to show/hide the Status Bar.


The Tools Menu

The Tools menu is a 3D Canvas specific menu.

Options...

Opens the Options window which provides a number options for configuring how 3D Canvas works and looks.


The Help Menu

The Help menu is a standard Windows menu. It provides a number of help related functions.

Contents

Displays the contents of the 3D Canvas Help.

Search For Help On...

Displays the search function for the 3D Canvas Help.

Tutorials on the Web

Opens your default web browser and connects the Tutorials page of the Amabilis web site.

Tip of the Day

Displays a "Tip of the Day"

Amabilis on the Web

Opens your default web browser and connects the Amabilis web site.

Models and Textures on the Web

Opens your default web browser and connects the Media page of the Amabilis web site.

3D Canvas Upgrades

Opens your default web browser and connects the 3D Canvas Upgrades page of the Amabilis web site.

Also allows entry of registration codes for 3D Canvas upgrades.

About 3D Canvas...

Displays the About 3D Canvas window.


Component Menu

The Component Menu

The Component popup menu is displayed when you right-click on the scene. It provides a number of functions relating to camera position, editing, component properties etc.

View

Allows you to select either Perspective or Orthographic for the selected view panel.

Camera

Allows you to select whether the scene is viewed through the Animation Camera which is used to record animations or the Layout Camera which is used for scene layout.

Look at Scene

Positions the view camera so that it looks at the scene.

Look At

Positions the view camera so that it looks at the selected component.

Look With

Positions the view camera so that it looks from the position of the selected component along its orientation.

Copy

Copies the selected scene component to the clipboard.

Cut

Cuts the selected scene component to the clipboard.

Paste

Pastes the scene component currently in the clipboard onto the scene. If a component is active, this new component will become a child of the selected component.

Delete

Deletes the selected scene component.

Make Sibling

Moves the selected scene component up one level in the scene hierarchy, making it a sibling of any components in its new frame.

Make Child

Moves the selected scene component to a new frame that is a child of the selected component's frame.

Add to Object Library

Adds the selected object to the object library.

Export Selection

Exports the selected object to either a 3D Canvas Object File (3DO) or a DirectX file (X).

IK Joint

Allows you to enable/disable Inverse Kinematics for the active frame. You can specify more Inverse Kinematics properties by selecting Properties.

Show Shadow/Cast Shadow

Allows you to show/hide the shadow for the current object. Or, in the case of a light, specify whether it should cast shadows or not.

Visible

Allows you to show/hide a scene component.

Open Source/Set Bone Effect

Opens the source of the current object/Opens the Bone Effect window for the selected bone.

Properties

Each scene component has associated properties that can be displayed and updated. The Properties window displays those properties and allows you to update many of them.


Using the Toolbars

The 3D Canvas toolbars provides quick access to key 3D Canvas functions.

There are two three toolbars available, the Primary Toolbar, the Edit Toolbar and the Animation Toolbar.


The Primary Toolbar

The Primary toolbar is located at the top of the screen, below the menu options.

File Functions

Button-New.gif (1005 bytes) creates a new scene.

Button-Open.gif (239 bytes) opens an existing scene.

Button-Save.gif (239 bytes) saves the scene.

Edit Functions

Button-Cut.gif (242 bytes) cuts the selected scene component to the clipboard.

Button-Copy.gif (247 bytes) copies the selected scene component to the clipboard.

Button-Paste.gif (277 bytes) pastes the scene component currently in the clipboard onto the scene. If a component is active, this new component will become a child of the selected component.

Button-Delete.gif (982 bytes) deletes the selected scene component.

Undo/Redo Functions

Button-Undo.gif (143 bytes) undoes the previous operation. Only modeling operations can be undone. Animation, parenting and object naming operations cannot be undone. To undo a Boolean operation you will need to undo twice, once for each object.

Button-Redo.gif (143 bytes) redoes the last action undone.

Navigation Options

Button-Walk.gif (1026 bytes) selects navigation walk mode.

Button-Fly.gif (376 bytes) selects navigation fly mode. Applies only to select navigation methods.

Constrain Options

Button-X.gif (139 bytes) constrains operations along the X axis.

Button-Y.gif (137 bytes) constrains operations along the Y axis.

Button-Z.gif (135 bytes) constrains operations along the Z axis.

Snap To Options

Button-SnapTo.gif (163 bytes) enables snap to grid.

Visibility Options

Button-Toolbar-ShowObjects.gif (926 bytes) makes all objects visible.

Button-Toolbar-ShowBones.gif (149 bytes) makes all bones visible.

Button-Camera.gif (164 bytes) makes the animation camera visible.

Button-Light.gif (138 bytes) makes all lights visible.

Button-Grid.gif (151 bytes) makes the grid visible.

Button-Path.gif (138 bytes) makes animation paths visible for the active object.

Button-Axis.gif (156 bytes) makes the scene axis visible and object axes visible for active objects.

Scene Rendering Options

Button-Toolbar-RenderSmooth.gif (176 bytes) causes objects to be smoothed when rendering.

Button-Wireframe.gif (151 bytes) causes objects to be rendered in wireframe.

Button-Fog.gif (158 bytes) causes fog to be rendered.

Button-Image.gif (171 bytes) causes the background image to be rendered.

Button-Toolbar-RenderShadows.gif (930 bytes) causes shadows to be rendered.


The Edit Toolbar

The Edit toolbar is located along the right edge of the main window.

It contains the 3D Canvas Tools, Skeletal Operations, the Track Operation, Boolean Operations and the Clone Operation.


Applying a Track Operation

Tracking an Object

Select an object.

Click Button-Toolbar-Track.gif (153 bytes) and then a second object to cause the first object to track the second object.

This is particularly useful if you want a camera to always look at a particular object in a scene, or if you want a light to be pointed at a specific object in the scene no matter where the object moves.


Registration

3D Canvas is a freeware program. No registration is required.

Use of 3D Canvas is limited by the 3D Canvas License Agreement.

3D Canvas Upgrades

3D Canvas Pro

3D Canvas Pro includes all of the features of 3D Canvas, all 3D Canvas Plug-In Packages, and the following features available only with 3D Canvas Pro:

Anti-Aliasing rendering of Videos and Snapshots
Boolean Operations
Clone Operation
Support for raytraced rendering using the POV-Ray raytracing engine.

Registration of 3D Canvas Pro may be done either on-line at the Amabilis web site or through the mail using our Order Form.

Use of 3D Canvas Pro is limited by the 3D Canvas Pro License Agreement.

3D Canvas Detail Plug-In Package

The 3D Canvas Detail Plug-In Package extends the capabilities of 3D Canvas by adding new Detail Operations. Included in this package are the Divide, Split Point, Tip, Triangulate, and Trim Operations.

Registration of the 3D Canvas Detail Plug-In Package may be done on-line at the Amabilis web site.

Use of the 3D Canvas Detail Plug-In Package is limited by the 3D Canvas Plug-In Package License Agreement.

3D Canvas Deform Plug-In Package

The 3D Canvas Deform Plug-In Package extends the capabilities of 3D Canvas by adding new Deform Operations. Included in this package are the Bevel, Flatten, Mirror, Shear and SnapScale Operations.

Registration of the 3D Canvas Deform Plug-In Package may be done on-line at the Amabilis web site.

Use of the 3D Canvas Deform Plug-In Package is limited by the 3D Canvas Plug-In Package License Agreement.

3D Canvas Material Plug-In Package

The 3D Canvas Material Plug-In Package extends the capabilities of 3D Canvas by adding new Material Operations. Included in this package are the Unwrap and UV Map Operations.

Registration of the 3D Canvas Material Plug-In Package may be done on-line at the Amabilis web site.

Use of the 3D Canvas Material Plug-In Package is limited by the 3D Canvas Plug-In Package License Agreement.


License - 3D Canvas

3D Canvas™ Copyright © 1998-2001 by Amabilis
All rights reserved.

This license applies to 3D Canvas. If you have registered 3D Canvas Pro, see the 3D Canvas Pro License.

License Agreement

Please carefully read the terms and conditions that follow before using this software. Your use of this software indicates your acceptance of this license agreement.

Use and Registration

3D Canvas is free software. You are licensed to use this software without restriction. If you would like the additional features of 3D Canvas Pro, please use the order form provided.

Credit card ordering is available, as described in the section Registration. When payment is received you will be sent a registration code for 3D Canvas Pro.

Disclaimer of Warranty

THIS SOFTWARE IS PROVIDED “AS IS” AND WITHOUT WARRANTY OF ANY KIND EXPRESSED, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

The user must assume the entire risk of using the program. ANY LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF PURCHASE PRICE.

Copyright © 2001 Amabilis.


License - 3D Canvas Plug-In Packages

3D Canvas™ Copyright © 1998-2001 by Amabilis
All rights reserved.

This license applies to all 3D Canvas Plug-In Packages.

License Agreement

Please carefully read the terms and conditions that follow before using this software. Your use of this software indicates your acceptance of this license agreement.

Registered Version

One registered copy of a 3D Canvas Plug-In Package may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both.

You may access the Plug-In package through a network, provided that you have obtained individual licenses for the software covering all workstations that will access the software through the network. Each workstation must have its own 3D Canvas Plug-In Package license, regardless of whether they use the 3D Canvas Plug-In package at different times or concurrently.

Disclaimer of Warranty

THIS SOFTWARE IS SOLD “AS IS” AND WITHOUT WARRANTY OF ANY KIND EXPRESSED, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

The user must assume the entire risk of using the program. ANY LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF PURCHASE PRICE.

Copyright © 2001 Amabilis.


License - 3D Canvas Pro

3D Canvas Pro™ Copyright © 1998-2001 by Amabilis
All rights reserved.

This license applies to 3D Canvas Pro. If you are using the standard version of 3D Canvas, see the section titled 3D Canvas License.

License Agreement

Please carefully read the terms and conditions that follow before using this software. Your use of this software indicates your acceptance of this license agreement.

Registered Version

One registered copy of 3D Canvas Pro may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both.

You may access the registered version of 3D Canvas Pro through a network, provided that you have obtained individual licenses for the software covering all workstations that will access the software through the network. Each workstation must have its own 3D Canvas Pro license, regardless of whether they use 3D Canvas Pro at different times or concurrently.

Disclaimer of Warranty

THIS SOFTWARE IS SOLD “AS IS” AND WITHOUT WARRANTY OF ANY KIND EXPRESSED, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

The user must assume the entire risk of using the program. ANY LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF PURCHASE PRICE.

Copyright © 2001 Amabilis.


Animating the Scene

amabilis.gif (8961 bytes)
BoxTop.gif (269 bytes)

BoxBottom.gif (265 bytes)

Animation Overview
Animating Component Positions
Animating Operations
Viewing and Recording an Animation
Changing Animation Options

3D Canvas is a trademark of Amabilis Software. All other products mentioned are registered trademarks or trademarks of their respective companies.

Questions or problems regarding this web site should be directed to webmaster@amabilis.com.
Copyright © 2001 Amabilis. All rights reserved.
Last modified: Monday January 22, 2001.


Animation Recording Options

The Animation Recording Options window provides options that determine the size and frames per second for the animation being produced and whether it should be anti-aliased or not.

Animation Size

A number of recording sizes ranging from 160x120 to 1600x1200 are available. Keep in mind while setting this option that many computers will not be able to smoothly play videos above 640x480. Also, larger sizes result in larger files.

Custom sizes are also available by selection "Custom" and entering a desired Width and Height.

Frames per Second

You may choose the number of frames per second that should be recorded. Note that this is the number of images per second not the number of animation key-frames per second. Animations tend to look very smooth at around 30 frames per second. 15 frames per second is recommended in order to reduce file size.

Anti-Alias (Available with 3D Canvas Pro)

Anti-Aliasing produces smoother images, at the expense of much slower rendering times.

If you do not have 3D Canvas Pro, you can get anti-aliased videos by rendering in a size larger than you need and then using a Video Editing Program to scale the video to a smaller size.

Raytrace using POV-Ray (Available with 3D Canvas Pro)

This option will be available if you have 3D Canvas Pro and POV-Ray installed on your system. If you select this item, 3D Canvas will use POV-Ray to render your scene rather than Direct3D.

POV-Ray is a Raytracing rendering engine that is available for free at www.povray.org. Rendering with POV-Ray is much slower than with Direct3D, however it produces more dynamic images with true shadows and reflections. Note that the lighting scheme for POV-Ray is slightly different than Direct3D so you may find that the final image produced by POV-Ray is somewhat darker, or brighter than the Direct3D produced image. Also, textures are not rendered unless you have the MegaPOV version of POV-Ray which is available at ftp.povray.org. There are also differences in interpretation of materials that may make your objects look somewhat different.


Snapshot Options

The Snapshot Options window provides options that determine the size of the snapshot produced and whether it should be Anti-Aliased or not.

Snapshot Size

A number of snapshot sizes ranging from 160x120 to 1600x1200 are available.

Custom sizes are also available by selection "Custom" and entering a desired Width and Height.

Anti-Alias (Available with 3D Canvas Pro)

Anti-Aliasing produces smoother images, at the expense of much slower rendering times.

If you do not have 3D Canvas Pro, you can get anti-aliased images by rendering in a size larger than you need and then using an Image Editing Program to scale the image to a smaller size.

Raytrace using POV-Ray (Available with 3D Canvas Pro)

This option will be available if you have 3D Canvas Pro and POV-Ray installed on your system. If you select this item, 3D Canvas will use POV-Ray to render your scene rather than Direct3D.

POV-Ray is a Raytracing rendering engine that is available for free at www.povray.org. Rendering with POV-Ray is much slower than with Direct3D, however it produces more dynamic images with true shadows and reflections. Note that the lighting scheme for POV-Ray is slightly different than Direct3D so you may find that the final image produced by POV-Ray is somewhat darker, or brighter than the Direct3D produced image. Also, textures are not rendered unless you have the MegaPOV version of POV-Ray which is available at ftp.povray.org. There are also differences in interpretation of materials that may make your objects look somewhat different.

If you do not have 3D Canvas Pro, you can export your scene to a POV-Ray file and then manually run POV-Ray to render the image.


Creating and Using Scene Components

amabilis.gif (8961 bytes)
BoxTop.gif (269 bytes)

BoxBottom.gif (265 bytes)

Components Overview
Using Primitives
Using Skeletal Bones
Adding Lighting to a Scene
Using the Object Building Tools
Using the Object Library

3D Canvas is a trademark of Amabilis Software. All other products mentioned are registered trademarks or trademarks of their respective companies.

Questions or problems regarding this web site should be directed to webmaster@amabilis.com.
Copyright © 2001 Amabilis. All rights reserved.
Last modified: Monday January 22, 2001.


Component Properties

The Component Properties window displays and allows you to update many properties of Scene Components.

A view of the object selected is used to set joint constraints for Inverse Kinematics. The object's parent object is shown in white.

Click Button-WireframeSmall.gif (139 bytes) to display the object in wireframe.

Object Attributes

These are mostly read-only attributes of an object, including the number of faces and points that make up the object, as well as the size of the object and whether the object should show a shadow. This is only displayed for objects.

Frame Position

The position within the scene of the component's frame. This position is relative to the parent frame.

Frame Position will only be displayed for scene components that have position. For example, the ambient and directional lights do not have positions.

Frame Orientation

The orientation within the scene of the component's frame. Orientation is expressed in terms of the number of degrees of rotation around each of the X, Y and Z axes. This orientation is relative to the parent frame.

Frame Orientation will only be displayed for scene components that have position. For example, the ambient and directional lights do not have positions.

Frame Rotational Velocity

The rotational velocity of the component's frame.

Frame Rotational Velocity will only be displayed for scene components that have an orientation. For example, many lights do not have an orientation.

Inverse Kinematics

Clicking on an object and dragging normally results in it being moved within the scene. If Inverse Kinematics are enabled, the object will be rotated as though it is connected to its parent with a rotatable Joint.

With Inverse Kinematics, the object is rotated so that the object's "end" points at the desired location. If the object has no identifiable "end" it will simply rotate in an undefined manner. For example, a cylinder has two potential "ends". If the cylinder is centered on its frame it is not possible to detect if the cylinder's top or its bottom should point at the desired location. Only when the cylinder has been shifted so that it is centered on either the top or bottom of the cylinder is it clear what the "origin" of the cylinder is and what the "end" of the cylinder is. The Shift Tool can be used to shift the object on its frame so that a clear "end" is detectable.

A rotation range can be specified to restrict the rotation of the joint. These ranges are in degrees and are relative to the parent frame not the object's frame. The object view shows the range of motion for the joint.

Inverse Kinematics joints work best when it has no restrictions or when movement is restricted to one or two axes.

Inverse Kinematics can be disabled, enabled, or fixed. If set to fixed, its position will not be changed relative to its parent, but will still be part of the Inverse Kinematics chain. This is handy for bones such as Collar bones that have a specific position, but do not move.

General Light Attributes

All lights have color, an attenuation type and an attenuation factor.

Color can ranges from black (off) to white (maximum intensity).

The attenuation type and factor specify how the intensity of the light changes with distance.

Whether a light is used to a source for shadows can also be set.

Spotlight Attributes

Spotlights have additional properties including the Range, Umbra angle and Penumbra angle.

Range is the distance from the spotlight that is lit by the spotlight and is in model units.

Umbra and Penumbra are specified in radians (3.14 = 180 degrees).

Camera Attributes

The Field of View of the Animation Camera can be set.

The default is .5.


Using the Scene Hierarchy

amabilis.gif (8961 bytes)
BoxTop.gif (269 bytes)

BoxBottom.gif (265 bytes)

Hierarchy Overview
Naming Scene Components
Changing the Hierarchy of a Scene

3D Canvas is a trademark of Amabilis Software. All other products mentioned are registered trademarks or trademarks of their respective companies.

Questions or problems regarding this web site should be directed to webmaster@amabilis.com.
Copyright © 2001 Amabilis. All rights reserved.
Last modified: Monday January 22, 2001.


Creating and Applying Materials

amabilis.gif (8961 bytes)
BoxTop.gif (269 bytes)

BoxBottom.gif (265 bytes)

Materials Overview
Using the Material Palette
Using Texture Libraries
Using Material Libraries

3D Canvas is a trademark of Amabilis Software. All other products mentioned are registered trademarks or trademarks of their respective companies.

Questions or problems regarding this web site should be directed to webmaster@amabilis.com.
Copyright © 2001 Amabilis. All rights reserved.
Last modified: Monday January 22, 2001.


Using the Menus and Toolbars

amabilis.gif (8961 bytes)
BoxTop.gif (269 bytes)

BoxBottom.gif (265 bytes)

Using the Menus
Using the Toolbars

3D Canvas is a trademark of Amabilis Software. All other products mentioned are registered trademarks or trademarks of their respective companies.

Questions or problems regarding this web site should be directed to webmaster@amabilis.com.
Copyright © 2001 Amabilis. All rights reserved.
Last modified: Monday January 22, 2001.


Options

3D Canvas Options

The 3D Canvas Options window provides a number options for configuring how 3D Canvas works and looks. There are two tabs, the Editing Tab and the Device Tab.

Editing

General

Mouse Style

If you select "3-Button", the middle button of your mouse will be configured for navigation. As a result, the Button-Toolbar-Navigate.gif (919 bytes) will no longer be displayed on the Edit Toolbar since all of its features will be assigned to the center button.

Object Snap to Interval

When working with objects, their position and size are modified to align with this Snap to Interval. You may disable Snap To by de-selecting the Button-SnapTo.gif (163 bytes) on the Main Toolbar.

Point Snap to Interval

When working with points, their position and size are modified to align with this Snap to Interval. You may disable Snap To by de-selecting the Button-SnapTo.gif (163 bytes) on the Main Toolbar.

Grid

You may disable the grids from being showed by de-selecting Button-Grid.gif (151 bytes) on the Main Toolbar.

Origin X

The X position in 3D Space where the grid should originate.

Origin Y

The Y position in 3D Space where the grid should originate.

Origin Z

The Z position in 3D Space where the grid should originate.

Size

The size of the grid.

Interval

The number of world units represented by a single grid interval.

Show Vertical Grids

Should vertical grids be shown? This may be overridden by de-selecting Button-Grid.gif (151 bytes) on the Main Toolbar.

Show Horizontal Grid

Should the horizontal grid be shown? This may be overridden by de-selecting Button-Grid.gif (151 bytes) on the Main Toolbar.

Device

You may select between Direct3D HAL, meaning Hardware Accelerated, or RGB Emulation. Hardware acceleration is much faster, and should be chosen. Note that simply because you choose Direct3D HAL, doesn't mean that 3D Canvas will run with 3D Acceleration. If you choose a screen resolution or color depth that is not accelerated, RGB Emulation will result. Most older, and some newer, 3D graphics cards do not support 32 bit color depths, so if your desktop is set to 32 bit color (true color), you may not see any hardware acceleration.


File Properties

The File Properties provides a number options for the appearance of the scene including background color, image and fog properties..

Scene

Background

An image may be selected that will be rendered as the background to your scene.

You may disable the background image from being rendered by de-selecting Button-Image.gif (171 bytes) on the Main Toolbar.

You may alternatively select a background color to be rendered as the background to your scene.

Fog

You may disable fog from being rendered by de-selecting Button-Fog.gif (158 bytes) on the Main Toolbar.

Mode

You may select the mode in which fog will be rendered. The options are Linear, Exponential and Exponential Squared.

Color

The color of the fog may be selected by clicking on the current color.

Linear

The start and maximum distance for linear rendered fog.

Density

The density of exponential rendered fog.

Textures

A number of texture rendering options are provided. Linear is the default because it produces good results at good rendering speeds. If you have a fast system, you may find that Linear MipMap Linear will produce the best results. Point sampled produces the worst results, and should only be chosen if you are running without 3D Acceleration.


Deform Tool Options

The range of effect of the Deform Tool can be set. The range is expressed in 3D Canvas units.


View Selection

The view selection window provides several scene view configurations.

Default positions and view orientations are set for each configuration. You may change the size of each pane by dragging the divider between them. Also, you can change view orientation by right clicking and selecting View.


Using the Edit Control to Modify Components

Control-Edit.jpg (2734 bytes)

The edit control is displayed when you click on a scene component.

Clicking on an axis and dragging results in the object rotating around its origin using the axis selected. Holding down the shift key while dragging results in your view of the scene being rotated around the active object's origin.

Clicking on the sphere and dragging allows rotation around both the X and Y axes. Holding down the shift key while dragging results in the your view of the scene being rotated around the active object's origin.

Clicking on one of the light gray planes that represent the XZ or YZ axis and dragging results in object, face(s) or point(s) being moved along the selected plane.

Clicking on one of the dark gray planes that represent the XZ or YZ axis and dragging results in the object being scaled along the selected plane. Holding down the shift key while dragging results in equal scaling of the object in all directions. In the case of a light, scaling results in the intensity of the light being scaled. In the case of the animation camera, scaling results in the Field of View of the camera being adjusted.


Modifying Scene Components

amabilis.gif (8961 bytes)
BoxTop.gif (269 bytes)

BoxBottom.gif (265 bytes)

3D Canvas is a trademark of Amabilis Software. All other products mentioned are registered trademarks or trademarks of their respective companies.

Questions or problems regarding this web site should be directed to webmaster@amabilis.com.
Copyright © 2001 Amabilis. All rights reserved.
Last modified: Monday January 22, 2001.


Modifying Components with the Mouse

Components

Clicking on an component and dragging results in the component to be moved along the xz plane. Holding down the shift key while dragging scales the component on the xy plane.

Right-clicking on an component and dragging results in the component to be moved up and down along the Y axis. Holding down the shift key while dragging scales the component on the Y axis.

For both the Left and Right mouse buttons, clicking on an component while holding down the control key, and dragging scales the component equally in all directions.

Scaling generally applies only to objects. Scaling of lights is defined as an adjustment to the light's intensity. Scaling of the Animation Camera adjusts its Field of View.

Object Faces

While using the Point and Face Selection tool, clicking on a face and dragging results in the face being moved along the xz plane. Holding down the shift key while dragging selects multiple faces. Holding down the control key while clicking/dragging toggles selected faces. Holding the alt key and clicking on a face results in the selection of all faces that point the same direction. Holding the alt key and ctrl key and clicking on a face results in the selection of all faces that are the color of the face selected. Holding down the control key and shift key while dragging moves the face in the direction that the face points.

Right-clicking on a face and dragging results in the face being moved up and down along the Y axis.


Navigating Through a Scene

amabilis.gif (8961 bytes)
BoxTop.gif (269 bytes)

BoxBottom.gif (265 bytes)

3D Canvas is a trademark of Amabilis Software. All other products mentioned are registered trademarks or trademarks of their respective companies.

Questions or problems regarding this web site should be directed to webmaster@amabilis.com.
Copyright © 2001 Amabilis. All rights reserved.
Last modified: Monday January 22, 2001.


Using the Bend Operation

Operation-Bend-A.gif (15309 bytes)

The Bend Operation is used to bend objects.

A series of control points are connected to create the deformation curve. These points define a B-Spline curve. This form of curve has a start control point and end control point that are guaranteed to be on the curve, but any other control points act as magnets attracting the curve in their direction.

Click on a control point and drag to bend the object in the region of the control point.

The top left panel is the deform preview. The bottom left panel allows you to select the orientation of the deformation.

Button-WireframeSmall.gif (139 bytes) display the object in wireframe.

Button-DeleteSmall.gif (918 bytes) resets all deformation factors.


Using the Bevel Operation

Operation-Bevel-A.gif (11227 bytes)

The Bevel Operation creates a bevel on the selected faces.

The Bevel Operation is made up of two panes. The first pane is the bevel preview, which displays the bevel effect created. The second pane is the bevel source grid where you define the bevel. A series of control points are connected to create a bevel. Control points are added by clicking on the grid. An initial control point is automatically created which is colored green. Each point that you add is colored white. The points are connected using a B-Spline curve. This form of curve has a start control point and end control point that are guaranteed to be on the curve, but any other control points act as magnets attracting the curve in their direction.

You may also set control points to be fixed, so that they are guaranteed to be on the curve. Clicking a second time on a control point results in it becoming a fixed control point which is colored blue.

Shift-Clicking on a control point creates a new control point along the curve. Ctrl-Clicking on a control point deletes the control point.

A slider is provided to adjust the detail level of the created bevel.

Button-WireframeSmall.gif (139 bytes) display the object in wireframe.

Button-DeleteSmall.gif (918 bytes) resets the bevel.


Using the Burst Operation

Operation-Burst-A.gif (8734 bytes)

Move the slider to adjust the burst effect for the object.


Using the Crease Operation

Operation-Crease-A.gif (6477 bytes)

You can increase or decrease the amount of creasing on an object by adjusting the slider. Note that this does not actually affect the shape of the object, just how 3D Canvas smoothes it while rendering.


Using the Extrude Operation

The Extrude Operation extrudes, and optionally Bevels, the selected faces.

You may set an extrusion amount and bevel amount for the Extrude Operation by right-clicking on Operation-Extrude.gif (924 bytes).

The Extrude Operation can also be useful for sub-division a polygon. Setting a 0 Extrude Amount and Negative Bevel amount results in face sub-division.


Using the Flatten Operation

Operation-Flatten-A.gif (5370 bytes)

Move the slider to adjust the Flatten effect for the object.


Using the Shear Operation

Operation-Shear-A.gif (15165 bytes)

The Shear Operation is used to shear objects.

A series of control points are connected to create the deformation curve. These points define a B-Spline curve. This form of curve has a start control point and end control point that are guaranteed to be on the curve, but any other control points act as magnets attracting the curve in their direction.

Click on a control point and drag to shear the object in the region of the control point.

The top left panel is the deform preview. The bottom left panel allows you to select the orientation of the deformation.

Button-WireframeSmall.gif (139 bytes) display the object in wireframe.

Button-DeleteSmall.gif (918 bytes) resets all deformation factors.


Using the Smooth Operation

The Smooth Operation divides the faces that make up the selected object, and attempts to smooth it.

You may set a smoothing condition for the Smooth Operation. This condition is tested for each point within the object. If this condition is true, smoothing will occur at that point.

The smoothing condition can be set by right-clicking on Operation-Smooth.gif (525 bytes).


Using the Swirl Operation

Operation-Swirl-A.gif (6130 bytes)

Move the slider to adjust the Swirl effect for the object.


Using the Taper Operation

Operation-Taper-A.gif (14646 bytes)

The Taper Operation is used to taper objects.

A series of control points are connected to create the deformation curve. These points define a B-Spline curve. This form of curve has a start control point and end control point that are guaranteed to be on the curve, but any other control points act as magnets attracting the curve in their direction.

Click on a control point and drag to taper the object in the region of the control point.

The top left panel is the deform preview. The bottom left panel allows you to select the orientation of the deformation.

Button-WireframeSmall.gif (139 bytes) display the object in wireframe.

Button-DeleteSmall.gif (918 bytes) resets all deformation factors.


Using the Tip Operation

The Tip Operation creates Tips on the selection.

You may set an Tip extrusion amount by right-clicking on Operation-Tip.gif (529 bytes).


Using the Twist Operation

Operation-Twist-A.gif (11374 bytes)

The Twist Operation is used to twist objects.

A series of control points are connected to create the deformation curve. These points define a B-Spline curve. This form of curve has a start control point and end control point that are guaranteed to be on the curve, but any other control points act as magnets attracting the curve in their direction.

Click on a control point and drag to twist the object in the region of the control point.

The top left panel is the deform preview. The bottom left panel allows you to select the orientation of the deformation.

Button-WireframeSmall.gif (139 bytes) display the object in wireframe.

Button-DeleteSmall.gif (918 bytes) resets all deformation factors.


Using the Unwrap Operation

Operation-UnWrap-A.gif (36345 bytes)

The Unwrap operation is used to create a texture that can be painted in a paint program and applied to an object. The object will be unwrapped based on the Wrap type from the Material Palette.

Simply select the texture size that you want and click the OK button.


Using the UV Map Operation

Operation-UnWrap-A.gif (36345 bytes)

The UV Map operation is used to apply a material to a selection and then permit the adjustment of the created texture mapping coordinates.

The left panel is the UV Map preview. The right panel is used to adjust the texture map coordinates. Each green handle corresponds to the mapping position of a point. These handles can be moved to adjust the point's texture map coordinates.

Button-DeleteSmall.gif (918 bytes) resets all texture coordinates to their unmodified positions.


Order Form

To order via mail send this order form and a check or money order payable to:

Richard Borsheim
c/o Amabilis Software
3071 Glen Drive, Suite 402
Coquitlam, BC
Canada V3B 7R1

Customer information is confidential and will not be shared or distributed to any third party.

3D Canvas Pro _____ at $49.95 ($69.95 Canadian) each = | ____
Total payment: | ____

I wish to receive my license by: | Internet E-Mail | ___
 | Conventional Mail | ___

Date: | ___________________________________
Name: | ___________________________________
Company: | ___________________________________
Postal Address: | ___________________________________ ___________________________________ ___________________________________ ___________________________________
Day Phone: | ___________________________________
E-Mail address: | ___________________________________
How did you hear about 3D Canvas Pro? | ___________________________________ ___________________________________
Comments: | ___________________________________ ___________________________________

I agree to the registration terms set forth in the 3D Canvas Pro License. | ___________________________________
 | (Signature)

Copyright © 2001 Amabilis


Registration

amabilis.gif (8961 bytes)
BoxTop.gif (269 bytes)

BoxBottom.gif (265 bytes)

Registration
License Agreement for 3D Canvas
License Agreement for 3D Canvas Pro
License Agreement for 3D Canvas Plug-In Packages

3D Canvas is a trademark of Amabilis Software. All other products mentioned are registered trademarks or trademarks of their respective companies.

Questions or problems regarding this web site should be directed to webmaster@amabilis.com.
Copyright © 2001 Amabilis. All rights reserved.
Last modified: Monday January 22, 2001.


Creating, Opening and Saving Scenes

amabilis.gif (8961 bytes)
BoxTop.gif (269 bytes)

BoxBottom.gif (265 bytes)

3D Canvas is a trademark of Amabilis Software. All other products mentioned are registered trademarks or trademarks of their respective companies.

Questions or problems regarding this web site should be directed to webmaster@amabilis.com.
Copyright © 2001 Amabilis. All rights reserved.
Last modified: Monday January 22, 2001.


Specifying a Bone Effect Range

Skeletal.gif (17499 bytes)

A bone's range of effect can be adjusted by double-clicking it or selecting it and clicking Button-Toolbar-AttachSkin.gif (151 bytes) on the Edit Toolbar.

The range of effect is displayed as a cylinder or a cylinder with rounded ends depending on the type of bone. Any point within the cylinder will be moved when the bone is moved.

For best results, ensure that each bone's range of effect overlaps another bone and that there are common points affected by at least two bones.

The Origin Range slider is used to increase or decrease the circumference of the bone's cylindrical range at the bone's origin.

The End Range slider is used to increase or decrease the circumference of the bone's cylindrical range at the bone's end.

The Extent slider is used to increase or decrease the length of the bone's effect.

Button-WireframeSmall.gif (139 bytes) displays the skin in wireframe mode.


Table of Contents

amabilis.gif (8961 bytes)
BoxTop.gif (269 bytes)

BoxBottom.gif (265 bytes)

Introducing 3D Canvas
Getting Started with 3D Canvas
What's New
Creating, Opening and Saving Scenes
Navigating Through the Scene
Creating and Using Scene Components
Modifying Scene Components
Creating and Applying Materials
Using the Scene Hierarchy
Animating the Scene
Using the Menus and Toolbars
Registration

3D Canvas is a trademark of Amabilis Software. All other products mentioned are registered trademarks or trademarks of their respective companies.

Questions or problems regarding this web site should be directed to webmaster@amabilis.com.
Copyright © 2001 Amabilis. All rights reserved.
Last modified: Monday January 22, 2001.